group 'SmartVenue'
version '1.0.0'
ext {
    springBootVersion = '1.5.7.RELEASE'
}



apply plugin: 'java'

sourceCompatibility = 1.8
buildscript {
    repositories {
        //mavenCentral()
		maven {
			url 'http://maven.aliyun.com/nexus/content/groups/public/'
		}
    }
    dependencies {
        classpath("org.springframework.boot:spring-boot-gradle-plugin:1.5.4.RELEASE")
    }
}


repositories {
    //mavenCentral()
    maven {
        url 'http://maven.aliyun.com/nexus/content/groups/public/'
    }
}



dependencies {
    compile fileTree(include: '*.jar', dir: 'src/libs')
    compile project(':entity')
    testCompile "org.springframework.boot:spring-boot-starter-test:${springBootVersion}"


}

tasks.withType(JavaCompile) {
    options.encoding = "UTF-8"
}

